For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

Get asset rate bracket ID mappings

GET
https://api.finput.com.au/api/v1/assets/mappings
GET
/api/v1/assets/mappings
$curl https://api.finput.com.au/api/v1/assets/mappings \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "key": [
3 1
4 ]
5}

Returns a lightweight mapping of asset IDs to their assigned rate bracket IDs. Used for filtering assets by product/rate bracket.

Was this page helpful?
Previous

Get asset tree

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

ratebracket_idsstringOptional

Comma-separated rate bracket IDs to filter by

Response

Asset to rate bracket ID mappings